Remove tracks

Delete the specified track {playlistTrackId} from the specified playlist at {playlistId}.

OAuth

 \ Example request

DELETE https://api.7digital.com/1.2/playlists/6141e9d36f6bd00ea821b8cc/tracks/61817b326f6bd01b946046cd?country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

Example response

{
    "playlist": {
        "id": "6141e9d36f6bd00ea821b8cc",
        "name": "party time",
        "status": "Published",
        "visibility": "Private",
        "tags": [],
        "tracks": [
            {
                "id": "61816beb6f6bd01b94604652",
                "trackId": "123456",
                "source": "7digital",
                "audioUrl": "http://stream.svc.7digital.net/stream/catalogue?trackId=123456",
                "dateAdded": "2021-11-02T16:48:43.642Z",
                "image": ""
            }
        ],
        "annotations": {},
        "lastUpdated": "2021-11-02T17:57:37.987Z",
        "partnerId": "11940"
    }
}
Path Params
string
required

The identifier for the playlist you want to remove tracks in

string
required

The playlistTrackId for the track that you want to remove from the playlist

Query Params
string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

Language
LoadingLoading…